#!/usr/bin/env python3
RWIGS = {
'Ac': 1.535,
 'Ag': 1.503,
 'Ag_pv': 1.217,
 'Al': 1.402,
 'Am': 1.588,
 'Ar': 0.953,
 'As': 1.217,
 'As_d': 1.217,
 'At': 1.635,
 'At_d': 1.635,
 'Au': 1.503,
 'B': 0.905,
 'Ba_sv': 1.979,
 'Be': 0.995,
 'Be_sv': 0.995,
 'B_h': 0.582,
 'Bi': 1.635,
 'Bi_d': 1.635,
 'Br': 1.164,
 'B_s': 1.0,
 'C': 0.863,
 'Ca_pv': 1.746,
 'Ca_sv': 1.323,
 'Cd': 1.577,
 'Ce': 1.323,
 'Ce_3': 1.799,
 'Ce_h': 1.323,
 'C_h': 0.863,
 'Cl': 1.111,
 'Cl_h': 0.953,
 'Cm': 1.482,
 'Co': 1.302,
 'Co_pv': 1.302,
 'Co_sv': 1.058,
 'Cr': 1.323,
 'Cr_pv': 1.323,
 'Cr_sv': 1.164,
 'C_s': 1.0,
 'Cs_sv': 1.323,
 'Cu': 1.164,
 'Cu_pv': 1.058,
 'Dy': 1.482,
 'Dy_3': 1.588,
 'Er': 1.588,
 'Er_2': 1.588,
 'Er_3': 1.588,
 'Eu': 1.482,
 'Eu_2': 1.746,
 'Eu_3': 1.746,
 'F': 0.794,
 'Fe': 1.302,
 'Fe_pv': 1.164,
 'Fe_sv': 1.058,
 'F_h': 0.635,
 'Fr_sv': 1.535,
 'F_s': 0.9,
 'Ga': 1.402,
 'Ga_d': 1.217,
 'Ga_h': 1.005,
 'Gd': 1.482,
 'Gd_3': 1.588,
 'Ge': 1.217,
 'Ge_d': 1.217,
 'Ge_h': 1.005,
 'H': 0.37,
 'H1.25': 0.37,
 'H1.33': 0.37,
 'H1.5': 0.37,
 'H1.66': 0.37,
 'H1.75': 0.37,
 'H.25': 0.37,
 'H.33': 0.37,
 'H.42': 0.582,
 'H.5': 0.37,
 'H.58': 0.582,
 'H.66': 0.37,
 'H.75': 0.37,
 'He': 0.635,
 'Hf': 1.614,
 'Hf_pv': 1.614,
 'Hf_sv': 1.614,
 'Hg': 1.614,
 'H_h': 0.37,
 'Ho': 1.588,
 'Ho_3': 1.588,
 'H_s': 0.37,
 'I': 1.487,
 'In': 1.677,
 'In_d': 1.677,
 'Ir': 1.423,
 'K_pv': 2.275,
 'Kr': 1.323,
 'K_sv': 1.588,
 'La': 1.535,
 'La_s': 1.894,
 'Li': 1.376,
 'Li_sv': 1.085,
 'Lu': 1.588,
 'Lu_3': 1.588,
 'Mg': 1.524,
 'Mg_pv': 1.058,
 'Mg_sv': 0.953,
 'Mn': 1.323,
 'Mn_pv': 1.323,
 'Mn_sv': 1.164,
 'Mo': 1.455,
 'Mo_pv': 1.455,
 'Mo_sv': 1.455,
 'N': 0.741,
 'Na': 1.757,
 'Na_pv': 1.164,
 'Na_sv': 0.794,
 'Nb_pv': 1.503,
 'Nb_sv': 1.27,
 'Nd': 1.482,
 'Nd_3': 1.588,
 'Ne': 0.794,
 'N_h': 0.783,
 'Ni': 1.286,
 'Ni_pv': 1.058,
 'Np': 1.588,
 'Np_s': 1.693,
 'N_s': 0.979,
 'O': 0.82,
 'O_h': 0.741,
 'Os': 1.413,
 'O_s': 0.9,
 'Os_pv': 1.413,
 'P': 1.233,
 'Pa': 1.535,
 'Pa_s': 1.693,
 'Pb': 1.725,
 'Pb_d': 1.725,
 'Pd': 1.434,
 'Pd_pv': 1.217,
 'P_h': 0.953,
 'Pm': 1.482,
 'Pm_3': 1.588,
 'Po': 1.635,
 'Po_d': 1.635,
 'Pr': 1.482,
 'Pr_3': 1.64,
 'Pt': 1.455,
 'Pt_pv': 1.164,
 'Pu': 1.588,
 'Pu_s': 1.693,
 'Ra_sv': 1.535,
 'Rb_pv': 2.418,
 'Rb_sv': 2.418,
 'Re': 1.434,
 'Re_pv': 1.434,
 'Rh': 1.402,
 'Rh_pv': 1.402,
 'Rn': 1.635,
 'Ru': 1.402,
 'Ru_pv': 1.402,
 'Ru_sv': 1.164,
 'S': 1.164,
 'Sb': 1.577,
 'Sc': 1.588,
 'Sc_sv': 1.429,
 'Se': 1.164,
 'S_h': 0.953,
 'Si': 1.312,
 'Sm': 1.482,
 'Sm_3': 1.588,
 'Sn': 1.566,
 'Sn_d': 1.566,
 'Sr_sv': 2.138,
 'Ta': 1.503,
 'Ta_pv': 1.503,
 'Tb': 1.482,
 'Tb_3': 1.588,
 'Tc': 1.455,
 'Tc_pv': 1.423,
 'Tc_sv': 1.423,
 'Te': 1.535,
 'Th': 1.588,
 'Th_s': 1.693,
 'Ti': 1.323,
 'Ti_pv': 1.323,
 'Ti_sv': 1.217,
 'Tl': 1.725,
 'Tl_d': 1.725,
 'Tm': 1.588,
 'Tm_3': 1.588,
 'U': 1.588,
 'U_s': 1.693,
 'V': 1.323,
 'V_pv': 1.217,
 'V_sv': 1.217,
 'W': 1.455,
 'W_pv': 1.455,
 'Xe': 1.323,
 'Yb': 1.588,
 'Yb_2': 1.746,
 'Y_sv': 1.815,
 'Zn': 1.27,
 'Zr_sv': 1.625}


RCORE = {
'Ac': 1.5346,
 'Ag': 1.3229,
 'Ag_pv': 1.1642,
 'Al': 1.0054,
 'Am': 1.4817,
 'Ar': 1.0054,
 'As': 1.1113,
 'As_d': 1.2171,
 'At': 1.4817,
 'At_d': 1.27,
 'Au': 1.3229,
 'B': 0.8996,
 'Ba_sv': 1.4817,
 'Be': 1.0054,
 'Be_sv': 0.9525,
 'B_h': 0.5821,
 'Bi': 1.5875,
 'Bi_d': 1.3229,
 'Br': 1.1113,
 'B_s': 0.979,
 'C': 0.7938,
 'Ca_pv': 1.5875,
 'Ca_sv': 1.2171,
 'Cd': 1.2171,
 'Ce': 1.4288,
 'Ce_3': 1.5082,
 'Ce_h': 1.36,
 'C_h': 0.5821,
 'Cl': 1.0054,
 'Cl_h': 0.7938,
 'Cm': 1.4817,
 'Co': 1.2171,
 'Co_pv': 1.2171,
 'Co_sv': 1.0054,
 'Cr': 1.3229,
 'Cr_pv': 1.2171,
 'Cr_sv': 1.0054,
 'C_s': 0.979,
 'Cs_sv': 1.3229,
 'Cu': 1.2171,
 'Cu_pv': 1.0584,
 'Dy': 1.4817,
 'Dy_3': 1.5875,
 'Er': 1.3759,
 'Er_2': 1.5875,
 'Er_3': 1.5875,
 'Eu': 1.4817,
 'Eu_2': 1.7463,
 'Eu_3': 1.7463,
 'F': 0.8043,
 'Fe': 1.2171,
 'Fe_pv': 1.1642,
 'Fe_sv': 1.0054,
 'F_h': 0.5821,
 'Fr_sv': 1.5346,
 'F_s': 0.979,
 'Ga': 1.3759,
 'Ga_d': 1.2171,
 'Ga_h': 1.0054,
 'Gd': 1.4817,
 'Gd_3': 1.5875,
 'Ge': 1.2171,
 'Ge_d': 1.2171,
 'Ge_h': 1.0054,
 'H': 0.5821,
 'H1.25': 0.5821,
 'H1.33': 0.5821,
 'H1.5': 0.5821,
 'H1.66': 0.5821,
 'H1.75': 0.5821,
 'H.25': 0.5821,
 'H.33': 0.5821,
 'H.42': 0.5821,
 'H.5': 0.5821,
 'H.58': 0.5821,
 'H.66': 0.5821,
 'H.75': 0.5821,
 'He': 0.5821,
 'Hf': 1.5875,
 'Hf_pv': 1.3759,
 'Hf_sv': 1.27,
 'Hg': 1.3229,
 'H_h': 0.4233,
 'Ho': 1.4817,
 'Ho_3': 1.5875,
 'H_s': 0.6879,
 'I': 1.2171,
 'In': 1.6404,
 'In_d': 1.3229,
 'Ir': 1.3759,
 'K_pv': 1.6404,
 'Kr': 1.2171,
 'K_sv': 1.2171,
 'La': 1.4817,
 'La_s': 1.8945,
 'Li': 1.0848,
 'Li_sv': 0.8996,
 'Lu': 1.4817,
 'Lu_3': 1.5875,
 'Mg': 1.0584,
 'Mg_pv': 1.0584,
 'Mg_sv': 0.8996,
 'Mn': 1.2171,
 'Mn_pv': 1.2171,
 'Mn_sv': 1.0319,
 'Mo': 1.4552,
 'Mo_pv': 1.4288,
 'Mo_sv': 1.3229,
 'N': 0.7938,
 'Na': 1.1642,
 'Na_pv': 1.1642,
 'Na_sv': 0.7673,
 'Nb_pv': 1.4552,
 'Nb_sv': 1.27,
 'Nd': 1.4817,
 'Nd_3': 1.4817,
 'Ne': 0.8996,
 'N_h': 0.5821,
 'Ni': 1.2171,
 'Ni_pv': 1.0584,
 'Np': 1.4817,
 'Np_s': 1.6404,
 'N_s': 0.979,
 'O': 0.8043,
 'O_h': 0.5821,
 'Os': 1.4288,
 'O_s': 0.979,
 'Os_pv': 1.3229,
 'P': 1.0054,
 'Pa': 1.4817,
 'Pa_s': 1.6934,
 'Pb': 1.6404,
 'Pb_d': 1.3229,
 'Pd': 1.3759,
 'Pd_pv': 1.27,
 'P_h': 0.7938,
 'Pm': 1.4817,
 'Pm_3': 1.5346,
 'Po': 1.4817,
 'Po_d': 1.27,
 'Pr': 1.4288,
 'Pr_3': 1.4817,
 'Pt': 1.3759,
 'Pt_pv': 1.1642,
 'Pu': 1.4817,
 'Pu_s': 1.6404,
 'Ra_sv': 1.5346,
 'Rb_pv': 1.7463,
 'Rb_sv': 1.3229,
 'Re': 1.4288,
 'Re_pv': 1.3229,
 'Rh': 1.4288,
 'Rh_pv': 1.27,
 'Rn': 1.3229,
 'Ru': 1.4288,
 'Ru_pv': 1.3229,
 'Ru_sv': 1.1377,
 'S': 1.0054,
 'Sb': 1.2171,
 'Sc': 1.5875,
 'Sc_sv': 1.3229,
 'Se': 1.1113,
 'S_h': 0.7938,
 'Si': 1.0054,
 'Sm': 1.4817,
 'Sm_3': 1.5082,
 'Sn': 1.5875,
 'Sn_d': 1.3229,
 'Sr_sv': 1.3229,
 'Ta': 1.5346,
 'Ta_pv': 1.3229,
 'Tb': 1.4817,
 'Tb_3': 1.5875,
 'Tc': 1.4817,
 'Tc_pv': 1.3759,
 'Tc_sv': 1.1642,
 'Te': 1.2171,
 'Th': 1.4817,
 'Th_s': 1.7992,
 'Ti': 1.4817,
 'Ti_pv': 1.3229,
 'Ti_sv': 1.2171,
 'Tl': 1.6934,
 'Tl_d': 1.3229,
 'Tm': 1.4817,
 'Tm_3': 1.614,
 'U': 1.4817,
 'U_s': 1.6404,
 'V': 1.4288,
 'V_pv': 1.2171,
 'V_sv': 1.2171,
 'W': 1.4552,
 'W_pv': 1.3229,
 'Xe': 1.3229,
 'Yb': 1.4817,
 'Yb_2': 1.6404,
 'Y_sv': 1.4817,
 'Zn': 1.2171,
 'Zr_sv': 1.3229}


RDEP  = {
'Ac': 1.5367,
 'Ag': 1.3632,
 'Ag_pv': 1.1991,
 'Al': 1.0404,
 'Am': 1.5722,
 'Ar': 1.0435,
 'As': 1.1324,
 'As_d': 1.287,
 'At': 1.4976,
 'At_d': 1.3177,
 'Au': 1.3748,
 'B': 0.9298,
 'Ba_sv': 1.5748,
 'Be': 1.0599,
 'Be_sv': 0.9943,
 'B_h': 0.5937,
 'Bi': 1.5939,
 'Bi_d': 1.4023,
 'Br': 1.1568,
 'B_s': 0.9911,
 'C': 0.7943,
 'Ca_pv': 1.6352,
 'Ca_sv': 1.2658,
 'Cd': 1.2965,
 'Ce': 1.487,
 'Ce_3': 1.5854,
 'Ce_h': 1.3949,
 'C_h': 0.6149,
 'Cl': 1.0689,
 'Cl_h': 0.8276,
 'Cm': 1.4828,
 'Co': 1.2663,
 'Co_pv': 1.2663,
 'Co_sv': 1.0451,
 'Cr': 1.3806,
 'Cr_pv': 1.2949,
 'Cr_sv': 1.0689,
 'C_s': 1.0266,
 'Cs_sv': 1.3706,
 'Cu': 1.2182,
 'Cu_pv': 1.0716,
 'Dy': 1.5627,
 'Dy_3': 1.6658,
 'Er': 1.388,
 'Er_2': 1.6817,
 'Er_3': 1.6817,
 'Eu': 1.5277,
 'Eu_2': 1.8516,
 'Eu_3': 1.8516,
 'F': 0.8144,
 'Fe': 1.2923,
 'Fe_pv': 1.215,
 'Fe_sv': 1.0102,
 'F_h': 0.5916,
 'Fr_sv': 1.6288,
 'F_s': 0.9869,
 'Ga': 1.4203,
 'Ga_d': 1.2769,
 'Ga_h': 1.0314,
 'Gd': 1.5457,
 'Gd_3': 1.6479,
 'Ge': 1.2266,
 'Ge_d': 1.2266,
 'Ge_h': 1.0457,
 'H': 0.5884,
 'H1.25': 0.5884,
 'H1.33': 0.5884,
 'H1.5': 0.5884,
 'H1.66': 0.5884,
 'H1.75': 0.5884,
 'H.25': 0.5884,
 'H.33': 0.5884,
 'H.42': 0.5884,
 'H.5': 0.5884,
 'H.58': 0.5884,
 'H.66': 0.5884,
 'H.75': 0.5884,
 'He': 0.5874,
 'Hf': 1.6124,
 'Hf_pv': 1.4187,
 'Hf_sv': 1.3304,
 'Hg': 1.3833,
 'H_h': 0.4323,
 'Ho': 1.5701,
 'Ho_3': 1.6743,
 'H_s': 0.7075,
 'I': 1.2658,
 'In': 1.6865,
 'In_d': 1.3917,
 'Ir': 1.4542,
 'K_pv': 1.7288,
 'Kr': 1.2531,
 'K_sv': 1.2552,
 'La': 1.4828,
 'La_s': 1.9156,
 'Li': 1.1081,
 'Li_sv': 0.9144,
 'Lu': 1.5023,
 'Lu_3': 1.6013,
 'Mg': 1.0716,
 'Mg_pv': 1.0716,
 'Mg_sv': 0.9425,
 'Mn': 1.2372,
 'Mn_pv': 1.2372,
 'Mn_sv': 1.0885,
 'Mo': 1.4896,
 'Mo_pv': 1.4896,
 'Mo_sv': 1.3976,
 'N': 0.8012,
 'Na': 1.1954,
 'Na_pv': 1.1954,
 'Na_sv': 0.8144,
 'Nb_pv': 1.469,
 'Nb_sv': 1.297,
 'Nd': 1.5018,
 'Nd_3': 1.5018,
 'Ne': 0.9446,
 'N_h': 0.59,
 'Ni': 1.2647,
 'Ni_pv': 1.1129,
 'Np': 1.559,
 'Np_s': 1.6621,
 'N_s': 1.0229,
 'O': 0.8202,
 'O_h': 0.5953,
 'Os': 1.4489,
 'O_s': 0.9938,
 'Os_pv': 1.3589,
 'P': 1.0218,
 'Pa': 1.5457,
 'Pa_s': 1.7569,
 'Pb': 1.6944,
 'Pb_d': 1.3986,
 'Pd': 1.4468,
 'Pd_pv': 1.2727,
 'P_h': 0.8435,
 'Pm': 1.5108,
 'Pm_3': 1.6108,
 'Po': 1.4949,
 'Po_d': 1.3155,
 'Pr': 1.4902,
 'Pr_3': 1.4902,
 'Pt': 1.4611,
 'Pt_pv': 1.206,
 'Pu': 1.5743,
 'Pu_s': 1.6786,
 'Ra_sv': 1.5346,
 'Rb_pv': 1.8516,
 'Rb_sv': 1.3446,
 'Re': 1.4388,
 'Re_pv': 1.3494,
 'Rh': 1.4304,
 'Rh_pv': 1.342,
 'Rn': 1.3393,
 'Ru': 1.5161,
 'Ru_pv': 1.3335,
 'Ru_sv': 1.1737,
 'S': 1.034,
 'Sb': 1.2489,
 'Sc': 1.5934,
 'Sc_sv': 1.4023,
 'Se': 1.152,
 'S_h': 0.8006,
 'Si': 1.0547,
 'Sm': 1.5224,
 'Sm_3': 1.5224,
 'Sn': 1.5992,
 'Sn_d': 1.4071,
 'Sr_sv': 1.3558,
 'Ta': 1.6193,
 'Ta_pv': 1.3367,
 'Tb': 1.551,
 'Tb_3': 1.6537,
 'Tc': 1.505,
 'Tc_pv': 1.4118,
 'Tc_sv': 1.1652,
 'Te': 1.2684,
 'Th': 1.5484,
 'Th_s': 1.8759,
 'Ti': 1.5267,
 'Ti_pv': 1.3431,
 'Ti_sv': 1.26,
 'Tl': 1.7981,
 'Tl_d': 1.3917,
 'Tm': 1.4849,
 'Tm_3': 1.6875,
 'U': 1.5611,
 'U_s': 1.6643,
 'V': 1.4616,
 'V_pv': 1.2859,
 'V_sv': 1.2859,
 'W': 1.5272,
 'W_pv': 1.3436,
 'Xe': 1.3653,
 'Yb': 1.4965,
 'Yb_2': 1.7013,
 'Y_sv': 1.5484,
 'Zn': 1.2298,
 'Zr_sv': 1.3743}

